Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgTerrain::HeightFieldNode Class Reference

Terrain provides a framework for loosly coupling height field data with height rendering algorithms. More...

Inheritance diagram for osgTerrain::HeightFieldNode:

[legend]
List of all members.

## Public Member Functions
| HeightFieldNode ()
| HeightFieldNode (const HeightFieldNode &, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_Node (osgTerrain, HeightFieldNode)
virtual void | traverse (osg::NodeVisitor &nv)
| Traverse downwards : calls children's accept method with NodeVisitor.
void | setHeightField (osg::HeightField *heightField)
| Set the HeightField for this HeightFieldNode.
osg::HeightField * | getHeightField ()
| Get the HeightField.
const osg::HeightField * | getHeightField () const
| Get the const HeightField.
void | heightFieldHasBeenModified ()
| Tell the Renderer that the height field has been modified, so that any cached data will need updating.
void | setRenderer (osgTerrain::HeightFieldRenderer *renderer)
| Set the Renderer.
HeightFieldRenderer * | getRenderer ()
| Get the Renderer.
const HeightFieldRenderer * | getRenderer () const
| Get the const Renderer.
void | setBaseTextureImage (osg::Image *image)
osg::Image * | getBaseTextureImage ()
const osg::Image * | getBaseTextureImage () const
void | setDetailTextureImage (osg::Image *image)
osg::Image * | getDetailTextureImage ()
const osg::Image * | getDetailTextureImage () const
void | setCloudShadowTextureImage (osg::Image *image)
osg::Image * | getCloudShadowTextureImage ()
const osg::Image * | getCloudShadowTextureImage () const
void | setNormalMapImage (osg::Image *image)
osg::Image * | getNormalMapImage ()
const osg::Image * | getNormalMapImage () const
void | computeNormalMap ()
## Protected Member Functions
virtual | ~HeightFieldNode ()
## Protected Attributes
osg::ref_ptr< osg::HeightField > | _heightField
osg::ref_ptr< HeightFieldRenderer > | _renderer
osg::ref_ptr< osg::Image > | _baseTextureImage
osg::ref_ptr< osg::Image > | _detailTextureImage
osg::ref_ptr< osg::Image > | _cloudShadowTextureImage
osg::ref_ptr< osg::Image > | _normalMapImage

## Detailed Description

Terrain provides a framework for loosly coupling height field data with height rendering algorithms.

This allows renderer's to be pluged in at runtime.

## Constructor & Destructor Documentation

osgTerrain::HeightFieldNode::HeightFieldNode | ( |  | ) |

osgTerrain::HeightFieldNode::HeightFieldNode | ( | const HeightFieldNode & | ,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osgTerrain::HeightFieldNode::~HeightFieldNode | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void osgTerrain::HeightFieldNode::computeNormalMap | ( |  | ) |

const osg::Image* osgTerrain::HeightFieldNode::getBaseTextureImage | ( |  | ) | const`[inline]`

osg::Image* osgTerrain::HeightFieldNode::getBaseTextureImage | ( |  | ) | `[inline]`

const osg::Image* osgTerrain::HeightFieldNode::getCloudShadowTextureImage | ( |  | ) | const`[inline]`

osg::Image* osgTerrain::HeightFieldNode::getCloudShadowTextureImage | ( |  | ) | `[inline]`

const osg::Image* osgTerrain::HeightFieldNode::getDetailTextureImage | ( |  | ) | const`[inline]`

osg::Image* osgTerrain::HeightFieldNode::getDetailTextureImage | ( |  | ) | `[inline]`

const osg::HeightField* osgTerrain::HeightFieldNode::getHeightField | ( |  | ) | const`[inline]`

| Get the const HeightField.

osg::HeightField* osgTerrain::HeightFieldNode::getHeightField | ( |  | ) | `[inline]`

| Get the HeightField.

const osg::Image* osgTerrain::HeightFieldNode::getNormalMapImage | ( |  | ) | const`[inline]`

osg::Image* osgTerrain::HeightFieldNode::getNormalMapImage | ( |  | ) | `[inline]`

const HeightFieldRenderer* osgTerrain::HeightFieldNode::getRenderer | ( |  | ) | const`[inline]`

| Get the const Renderer.

HeightFieldRenderer* osgTerrain::HeightFieldNode::getRenderer | ( |  | ) | `[inline]`

| Get the Renderer.

void osgTerrain::HeightFieldNode::heightFieldHasBeenModified | ( |  | ) |

| Tell the Renderer that the height field has been modified, so that any cached data will need updating.

osgTerrain::HeightFieldNode::META_Node | ( | osgTerrain | ,
|  | HeightFieldNode |
| ) |

void osgTerrain::HeightFieldNode::setBaseTextureImage | ( | osg::Image * | image | ) | `[inline]`

void osgTerrain::HeightFieldNode::setCloudShadowTextureImage | ( | osg::Image * | image | ) | `[inline]`

void osgTerrain::HeightFieldNode::setDetailTextureImage | ( | osg::Image * | image | ) | `[inline]`

void osgTerrain::HeightFieldNode::setHeightField | ( | osg::HeightField * | heightField | ) |

| Set the HeightField for this HeightFieldNode. If a Renderer is attached then this will be notified.

void osgTerrain::HeightFieldNode::setNormalMapImage | ( | osg::Image * | image | ) | `[inline]`

void osgTerrain::HeightFieldNode::setRenderer | ( | osgTerrain::HeightFieldRenderer * | renderer | ) |

| Set the Renderer.

virtual void osgTerrain::HeightFieldNode::traverse | ( | osg::NodeVisitor & | nv | ) | `[virtual]`

| Traverse downwards : calls children's accept method with NodeVisitor. Reimplemented from osg::Group.

## Member Data Documentation

osg::ref_ptr<osg::Image> osgTerrain::HeightFieldNode::_baseTextureImage`[protected]`

osg::ref_ptr<osg::Image> osgTerrain::HeightFieldNode::_cloudShadowTextureImage`[protected]`

osg::ref_ptr<osg::Image> osgTerrain::HeightFieldNode::_detailTextureImage`[protected]`

osg::ref_ptr<osg::HeightField> osgTerrain::HeightFieldNode::_heightField`[protected]`

osg::ref_ptr<osg::Image> osgTerrain::HeightFieldNode::_normalMapImage`[protected]`

osg::ref_ptr<HeightFieldRenderer> osgTerrain::HeightFieldNode::_renderer`[protected]`

The documentation for this class was generated from the following file:

- HeightFieldNode